#!/usr/bin/env sh

IAM=`dirname $0`
mkdir -p ~/.config
mkdir -p ~/.bin

# ~ dotfiles
ln -s $IAM/zlogin ~/.zlogin
ln -s $IAM/zshrc ~/.zshrc
ln -s $IAM/emacs.d ~/.emacs.d
ln -s $IAM/vimrc ~/.vimrc
ln -s $IAM/gitconfig ~/.gitconfig

# .config dotfiles
ln -s $IAM/i3 ~/.config/i3
ln -s $IAM/i3status ~/.config/i3status
ln -s $IAM/qt5ct ~/.config/qt5ct

# tasks
emacs --script install-packages.el
